static OlStr HelpTitle = "OblongButton";
static void button_callback(Widget, XtPointer, XtPointer);
void
main(unsigned int argc, char **argv)
{
  XtAppContext app;
  Widget       toplevel, con, but1;
  OlToolkitInitialize((XtPointer)NULL);
  toplevel = XtAppInitialize(&app, "Help", NULL, 0, &argc, 
                             argv, NULL, NULL, 0);
  con = XtCreateManagedWidget("control", controlAreaWidgetClass, 
                              toplevel, NULL, 0);
  /*
   * Create the OblongButton widget.
   */
  but1 = XtVaCreateManagedWidget("button", oblongButtonWidgetClass,
                                 con, NULL);
  XtAddCallback(but1, XtNselect, button_callback, NULL);
  OlRegisterHelp(OL_WIDGET_HELP, (XtPointer)con, HelpTitle, 
                 OL_DISK_SOURCE, (XtPointer)"HelpFile");
  XtRealizeWidget(toplevel);
  XtAppMainLoop(app);
}
